package capitulo07.bloque02;

public class Ejercicio02 {
    public static void main(String[] args) {
        double pi = 0;

        boolean suma = true;
        for (int i = 1; true; i+=2) {
            if (suma) {
                pi += 4.0/i;
            } else {
                pi -= 4.0/i;
            }
            suma = !suma;
            System.out.println((Math.PI) + " | " + pi);
            if (Math.abs(Math.PI - pi) < 0.00001) break;
        }
    }
}
